org.wildfly.swarm.config.resource.adapters

## Class ResourceAdapter.ResourceAdapterResources

- java.lang.Object
- - org.wildfly.swarm.config.resource.adapters.ResourceAdapter.ResourceAdapterResources

- Enclosing class:
    ResourceAdapter<T extends ResourceAdapter<T>>

      public static class ResourceAdapter.ResourceAdapterResources
      extends Object

  Child mutators for ResourceAdapter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceAdapterResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AdminObjects>` | `adminObjects()` Get the list of AdminObjects resources
    `AdminObjects` | `adminObjects(String key)`
    `List<ConfigProperties>` | `configProperties()` Get the list of ConfigProperties resources
    `ConfigProperties` | `configProperties(String key)`
    `List<ConnectionDefinitions>` | `connectionDefinitions()` Get the list of ConnectionDefinitions resources
    `ConnectionDefinitions` | `connectionDefinitions(String key)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceAdapterResources

          public ResourceAdapterResources()

  - ### Method Detail

    - #### configProperties

          public List<ConfigProperties> configProperties()

      Get the list of ConfigProperties resources
      Returns:
        the list of resources

    - #### configProperties

          public ConfigProperties configProperties(String key)

    - #### adminObjects

          public List<AdminObjects> adminObjects()

      Get the list of AdminObjects resources
      Returns:
        the list of resources

    - #### adminObjects

          public AdminObjects adminObjects(String key)

    - #### connectionDefinitions

          public List<ConnectionDefinitions> connectionDefinitions()

      Get the list of ConnectionDefinitions resources
      Returns:
        the list of resources

    - #### connectionDefinitions

          public ConnectionDefinitions connectionDefinitions(String key)

Copyright © 2018 JBoss by Red Hat. All rights reserved.